Skip to main content
POST
/
api
/
users
/
{userId}
/
transfer-ownership
Transfer ownership
curl --request POST \
  --url https://api.example.com/api/users/{userId}/transfer-ownership \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/api/users/{userId}/transfer-ownership"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/api/users/{userId}/transfer-ownership', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "email": "jsmith@example.com",
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "isService": true,
  "roles": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "description": "<string>"
    }
  ]
}

Path Parameters

userId
string<uuid>
required

Unique identifier of the user to transfer ownership to

Response

200 - application/json

The previous owner user (now demoted to admin)

The previous owner user (now demoted to admin)

id
string<uuid>
required

Unique identifier of the user

email
string<email>
required

Email address of the user

type
enum<string>
required

User type/role within the organisation

Available options:
invited,
member,
author,
admin,
owner
status
enum<string>
required

Current status of the user account

Available options:
active,
disabled,
locked
createdAt
string
required

Timestamp when the user was created

updatedAt
string
required

Timestamp when the user was last updated

firstName
string | null

First name of the user

lastName
string | null

Last name of the user

isService
boolean

Whether this is a service account

roles
object[]

Roles assigned to the user